## qtwallet 1.0-8maemo1

=== src/Makefile ===
#############################################################################
# Makefile for building: qtwallet
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Jul 12 22:52:46 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtSql -I/targets/FREMANTLE_X86/usr/include/QtDBus -I/targets/FREMANTLE_X86/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lssl -lgstinterfaces-0.10 -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0 -lQtDBus -L/usr/lib -lQtXml -lQtSql -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = camera.cpp \
		DatabaseManager.cpp \
		eWallet.cpp \
		main.cpp \
		LoginDialog.cpp \
		DetailedWindow.cpp moc_eWallet.cpp \
		moc_DetailedWindow.cpp \
		moc_camera.cpp \
		moc_LoginDialog.cpp \
		qrc_resources.cpp
OBJECTS       = camera.o \
		DatabaseManager.o \
		eWallet.o \
		main.o \
		LoginDialog.o \
		DetailedWindow.o \
		moc_eWallet.o \
		moc_DetailedWindow.o \
		moc_camera.o \
		moc_LoginDialog.o \
		qrc_resources.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = qtwallet
DESTDIR       = 
TARGET        = qtwallet

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
	strip $(TARGET)

Makefile: src.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qtwallet1.0.0 || $(MKDIR) .tmp/qtwallet1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents DatabaseManager.h eWallet.h DetailedWindow.h camera.h LoginDialog.h .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents camera.cpp DatabaseManager.cpp eWallet.cpp main.cpp LoginDialog.cpp DetailedWindow.cpp .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources/locale/qtwallet_en.ts resources/locale/qtwallet_es.ts resources/locale/qtwallet_fr.ts resources/locale/qtwallet_nl.ts resources/locale/qtwallet_sv_SE.ts .tmp/qtwallet1.0.0/ && (cd `dirname .tmp/qtwallet1.0.0` && $(TAR) qtwallet1.0.0.tar qtwallet1.0.0 && $(COMPRESS) qtwallet1.0.0.tar) && $(MOVE) `dirname .tmp/qtwallet1.0.0`/qtwallet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtwallet1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_eWallet.cpp moc_DetailedWindow.cpp moc_camera.cpp moc_LoginDialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_eWallet.cpp moc_DetailedWindow.cpp moc_camera.cpp moc_LoginDialog.cpp
moc_eWallet.cpp: DatabaseManager.h \
		DetailedWindow.h \
		LoginDialog.h \
		eWallet.h
	/usr/bin/moc $(DEFINES) $(INCPATH) eWallet.h -o moc_eWallet.cpp

moc_DetailedWindow.cpp: DatabaseManager.h \
		DetailedWindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) DetailedWindow.h -o moc_DetailedWindow.cpp

moc_camera.cpp: camera.h
	/usr/bin/moc $(DEFINES) $(INCPATH) camera.h -o moc_camera.cpp

moc_LoginDialog.cpp: LoginDialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) LoginDialog.h -o moc_LoginDialog.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all: qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_resources.cpp
qrc_resources.cpp: resources.qrc \
		resources/icon_next.png \
		resources/empty_Cellular_Phone.png \
		resources/icon_hide.png \
		resources/icon_previous.png \
		resources/empty_Bank_Account.png \
		resources/icon_add_new.png \
		resources/empty_card.png \
		resources/icon_delete.png \
		resources/empty_Credit_Card.png \
		resources/icon_clear.png \
		resources/empty_card_back.png \
		resources/empty_ID_Card.png \
		resources/empty_Membership_Info.png \
		resources/empty_Others.png \
		resources/locale/qtwallet_en.qm \
		resources/locale/qtwallet_es.qm \
		resources/locale/qtwallet_sv_SE.qm \
		resources/locale/qtwallet_nl.qm \
		resources/locale/qtwallet_fr.qm
	/usr/bin/rcc -name resources resources.qrc -o qrc_resources.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

camera.o: camera.cpp camera.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o camera.o camera.cpp

DatabaseManager.o: DatabaseManager.cpp Constants.h \
		DatabaseManager.h \
		eWallet.h \
		DetailedWindow.h \
		LoginDialog.h

=== debian/changelog ===
qtwallet (1.0-8maemo1) fremantle; urgency=low

  * Fixed problems with filenames when exporting images
  * Fixed problems with export filename 
  * Full Dutch translation (thanks to ThomasAH)
  * Full Swedish translation (thanks to aanckar)
  * Fix problem (of lost data) when changing password
  * Added save card button. 
  
 -- David <nowheremanmail@gmail.com>  Tue, 13 Jul 2010 21:45:00 +0100

=== debian/control ===
Source: qtwallet
Section: user/utilities
Priority: extra
Maintainer: David Galindo <nowheremanmail@gmail.com>
XSBC-Original-Maintainer: David Galindo <nowheremanmail@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-core(>=4.6.2~git20100401-0maemo1+0m5), libqt4-dev(>=4.6.2~git20100401-0maemo1+0m5), 
 libqt4-sql(>=4.6.2~git20100401-0maemo1+0m5), openssl, libssl-dev, libqt4-translations(>=4.6.2~git20100401-0maemo1+0m5), 
 libgstreamer0.10-dev, libgtk2.0-dev, libgstreamer-plugins-base0.10-dev
Standards-Version: 3.8.1
#Homepage: <insert the upstream URL, if relevant>
XSBC-Bugtracker: mailto:nowheremanmail@gmail.com
#https://bugs.maemo.org/enter_bug.cgi?product=qtwallet
XB-Maemo-Display-Name: Wallet
XB-Maemo-Upgrade-Description: Wallet keeps your confidential information in a safe place.
 + Fixed problems with filenames when exporting images
 + Fixed problems with export filename 
 + Full Dutch translation (thanks to ThomasAH)
 + Full Swedish translation (thanks to aanckar)
 + Fix problem (of lost data) when changing password
 + Added save card button. 
  		 
Package: qtwallet
Section: user/utilities
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Wallet keeps your confidential information in a safe place.
 + Discussion thread: <A href="http://talk.maemo.org/showthread.php?t=53745">http://talk.maemo.org/showthread.php?t=53745</A>
 + Package: <A href="http://maemo.org/packages/view/qtwallet/">http://maemo.org/packages/view/qtwallet/</A>
 + Donations are welcome: <A href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=2AWCFUTKGBQUE&lc=ES&item_name=Wallet&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHosted">DONATE</A>
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAKT2lDQ1BQaG90
 b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNnVFPpFj333vRCS4iAlEtvUhUIIFJC
 i4AUkSYqIQkQSoghodkVUcERRUUEG8igiAOOjoCMFVEsDIoK2AfkIaKOg6OI
 isr74Xuja9a89+bN/rXXPues852zzwfACAyWSDNRNYAMqUIeEeCDx8TG4eQu
 QIEKJHAAEAizZCFz/SMBAPh+PDwrIsAHvgABeNMLCADATZvAMByH/w/qQplc
 AYCEAcB0kThLCIAUAEB6jkKmAEBGAYCdmCZTAKAEAGDLY2LjAFAtAGAnf+bT
 AICd+Jl7AQBblCEVAaCRACATZYhEAGg7AKzPVopFAFgwABRmS8Q5ANgtADBJ
 V2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7AGDIIyN4AISZABRG8lc88SuuEOcq
 AAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkXKxQ2YQJhmkAuwnmZGTKBNA/g88wA
 AKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G/yJiYuP+5c+rcEAAAOF0ftH+LC+z
 GoA7BoBt/qIl7gRoXgugdfeLZrIPQLUAoOnaV/Nw+H48PEWhkLnZ2eXk5NhK
 xEJbYcpXff5nwl/AV/1s+X48/Pf14L7iJIEyXYFHBPjgwsz0TKUcz5IJhGLc
 5o9H/LcL//wd0yLESWK5WCoU41EScY5EmozzMqUiiUKSKcUl0v9k4t8s+wM+
 3zUAsGo+AXuRLahdYwP2SycQWHTA4vcAAPK7b8HUKAgDgGiD4c93/+8//Ueg
 JQCAZkmScQAAXkQkLlTKsz/HCAAARKCBKrBBG/TBGCzABhzBBdzBC/xgNoRC
 JMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv1EAdNMBRaIaTcA4uwlW4Dj1wD/ph
 CJ7BKLyBCQRByAgTYSHaiAFiilgjjggXmYX4IcFIBBKLJCDJiBRRIkuRNUgx
 UopUIFVIHfI9cgI5h1xGupE7yAAygvyGvEcxlIGyUT3UDLVDuag3GoRGogvQ
 ZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+Q8cwwOgYBzPEbDAuxsNCsTgsCZNj
 y7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXACTYEd0IgYR5BSFhMWE7YSKggHCQ0
 EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIxh1hILCPWEo8TLxB7iEPENyQSiUMy
 J7mQAkmxpFTSEtJG0m5SI+ksqZs0SBojk8naZGuyBzmULCAryIXkneTD5DPk
 G+Qh8lsKnWJAcaT4U+IoUspqShnlEOU05QZlmDJBVaOaUt2ooVQRNY9aQq2h
 tlKvUYeoEzR1mjnNgxZJS6WtopXTGmgXaPdpr+h0uhHdlR5Ol9BX0svpR+iX
 6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+YTKYZ04sZx1QwNzHrmOeZD5lvVVgq
 tip8FZHKCpVKlSaVGyovVKmqpqreqgtV81XLVI+pXlN9rkZVM1PjqQnUlqtV
 qp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkGWcNMw09DpFGgsV/jvMYgC2MZs3gs
 IWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2qqaE5QzNKM1ezUvOUZj8H45hx+Jx0
 TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxrqpaXllirSKtRq0frvTau7aedpr1F
 u1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acKpxZNPTr1ri6qa6UbobtEd79up+6Y
 nr5egJ5Mb6feeb3n+hx9L/1U/W36p/VHDFgGswwkBtsMzhg8xTVxbzwdL8fb
 8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYPjGnGXOMk423GbcajJgYmISZLTepN
 7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x1zLnm+eb15vft2BaeFostqi2uGVJ
 suRaplnutrxuhVo5WaVYVVpds0atna0l1rutu6cRp7lOk06rntZnw7Dxtsm2
 qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6TvZN9un2N/T0HDYfZDqsdWh1+c7Ry
 FDpWOt6azpzuP33F9JbpL2dYzxDP2DPjthPLKcRpnVOb00dnF2e5c4PziIuJ
 S4LLLpc+Lpsbxt3IveRKdPVxXeF60vWdm7Obwu2o26/uNu5p7ofcn8w0nyme
 WTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+BZ7XnIy9jL5FXrdewt6V3qvdh7xc+
 9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nvnl+F30N/I/9k/3r/0QCngCUBZwOJ
 gUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5QRVBj4KtguXBrSFoyOyQrSH355jO
 kc5pDoVQfujW0Adh5mGLw34MJ4WHhVeGP45wiFga0TGXNXfR3ENz30T6RJZE
 3ptnMU85ry1KNSo+qi5qPNo3ujS6P8YuZlnM1VidWElsSxw5LiquNm5svt/8
 7fOH4p3iC+N7F5gvyF1weaHOwvSFpxapLhIsOpZATIhOOJTwQRAqqBaMJfIT
 dyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgqTXqS7JG8NXkkxTOlLOW5hCepkLxM
 DUzdmzqeFpp2IG0yPTq9MYOSkZBxQqohTZO2Z+pn5mZ2y6xlhbL+xW6Lty8e
 lQfJa7OQrAVZLQq2QqboVFoo1yoHsmdlV2a/zYnKOZarnivN7cyzytuQN5zv
 n//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxxedsK4xUFK4ZWBqw8uIq2Km3VT6vt
 V5eufr0mek1rgV7ByoLBtQFr6wtVCuWFfevc1+1dT1gvWd+1YfqGnRs+FYmK
 rhTbF5cVf9go3HjlG4dvyr+Z3JS0qavEuWTPZtJm6ebeLZ5bDpaql+aXDm4N
 2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/PLi8ZafJzs07P1SkVPRU+lQ27tLd
 tWHX+G7R7ht7vPY07NXbW7z3/T7JvttVAVVN1WbVZftJ+7P3P66Jqun4lvtt
 Xa1ObXHtxwPSA/0HIw6217nU1R3SPVRSj9Yr60cOxx++/p3vdy0NNg1VjZzG
 4iNwRHnk6fcJ3/ceDTradox7rOEH0x92HWcdL2pCmvKaRptTmvtbYlu6T8w+
 0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLTk2fyz4ydlZ19fi753GDborZ752PO
 32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy2+UTV7hXmq86X23qdOo8/pPTT8e7
 nLuarrlca7nuer21e2b36RueN87d9L158Rb/1tWeOT3dvfN6b/fF9/XfFt1+
 cif9zsu72Xcn7q28T7xf9EDtQdlD3YfVP1v+3Njv3H9qwHeg89HcR/cGhYPP
 /pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L96fynQ89kzyaeF/6i/suuFxYvfvjV
 69fO0ZjRoZfyl5O/bXyl/erA6xmv28bCxh6+yXgzMV70VvvtwXfcdx3vo98P
 T+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz/GMzLdsAAAAJcEhZcwAACxMAAAsT
 AQCanBgAAAAHdElNRQfaBAkQDCB8BLAXAAAJ40lEQVRo3tWZe3BU1R3Hv+fc
 e/eV3SRLwpJsAgJKIAgB1NYXbWXqCOrUatsJ2Npaq3VGEAUfIyikFR9D0UpU
 dGrHtjJaIo6tVf/ojI8iVMeOTBUliQkIIYZNstnNbja7e/e+zjn9Y5fd7Ew1
 CXuj7Z3Zx909e875/M7v/H7f81sihMD/8yVPVcd/3PuiRAiZDkABMHhD82pz
 KsYhdq3AMy887waw0u3x3MIs62IADrfbTSil0DIamOCWLMsdWibzOyHEqzf/
 5LrI/wTAU7ufkxVFWUspfThQU+OeOWsmnVFTgwqnC24qgRACJjhGLBPh8BBO
 9vWJUF+fIYR4Ttf1zWt/dn38awN4/A/Pnulyud6tDQYDTecso5wxfH6iFyf7
 +mAaBhRFASEEhmGAUIraYC1mnXEGKvx+dHV0iqPd3RnDMK5ef8Mv3vzKAR77
 /TPfdTgcr51/0YUev38aujo7EY1EUFVdDY/HA1VNQ9N0QAg4XU54yrxQ02nE
 olG4y8qwuKkJoATvvrPfME3z4XXX//z+rwxg+64nz3O73Qe+veISt+Achz78
 COXl5aCShP5QyMqoqimAUUrpICHEBFDDOa9yuVzSjJoaB6UUseFhNC5sRHUg
 gHf3HzBSqdQ9G395c+uUAzzQujOoKEr78uXL/ZQSdLR3oNLvRzgcZolEIiWA
 +znnL7Rs2Fi0SR9s3emhlF5BKW11ud3Tg8GgYyQex+w5s1FVVY0DBw5kdF2/
 etO6W9+YUoDtT+16u6GhYUUgECBdnZ1wulwYDIcNXdf3McZ++Ks77kyPYwAq
 SdKvKaV3B2trXYQQ1NfXQwA4ePBgxDTNmVtu36BPdD50MpNveWTHBZSQb0zz
 +0lvTw8AYDAcNjKatmfL7RtWjTd5ANi6YSO/d/1tLaZp3hjq79c4ZxhNJkEA
 TKuq8kmU3juZOU0KQJKkR+rr632ZTAaqqiKZSolUKtVp6PpNk/XdrRs27jEN
 46lIJGowxmCaBmZUV7u4EOu37XxMsh1g00MP+izTbHI7nTAMA4wxDMfjGV3X
 r33wnk3sdCKIxfmWlKqmh4eH4a2ogGEYcCgKOOcrbAewLGulx+OBy+MB4xyq
 poFZVsf2+7Z0nW4M33bX3Rrn/NGReNwiICjzeuHz+SoJIWtsBxDAuW6Xq9zt
 cYMzhlQyaWia9nSpUsA0zZfS6XTGMA34KsrhUBTChVhqP4AQZymKgjKvDwCg
 qqpuWlZ7qQDMso7phiGbhokKvx+SJMEyzbm2AzDLCoIQeH1eEEqh6TqYZQ2U
 CrBja4tgjOlqOg2Xy5UdizGn7QCcc8YZg9tTBkmWIDgXjHNblKzgPMOFgBAC
 nHNwPvGOJw4gBLgQ2d0gsvfCJgAuRLZTACwLMAV5IGed3IaGyFnMFgDOcaor
 zjnYlAAQUgAQAiAEhBB7XGiMMTjnwCQMQyfTUAiRtT4ECCAIpbYAEEKIQ1Gy
 e4BNLieOK+aebdtTRSltY4xdQilVnE4nQAgYY2CWFQMw4RG/aL0IpdUOh4Nw
 zk9leSHL8iuc8+tuXHNtpqRD/WgyGZ09a1aKC6FcdMEFqPSVg1ACi3MkDX3a
 Kff6wgmP42YKIfDKDlBCwIVAOB7DwQ8+IISQC3v7+tQv4Z4YgBDAkWPHvBKV
 sOqyyyARCgJAEAKJUohCpv7vvvsFK3zqUwaAZ10SnAC+ygp0dnXB4XTWOmTF
 hrKK4DklShFJjMAwjKwE0A305SR1qdechnn5lVIUJW9yAV46QHigP9exEz3H
 j4/JzAyJ0VFbAEKhUN5TBOdIJkYBTCyUjgsQmFGLysoK6LqO+QsWFLlA+4eG
 LQDzGxuL7jsPHwaVJGS0TOkAHAKxRAJqKo14LJb/3DAM6LpuC8BwJJrPKZwz
 hIeGUOH3FzZKKQDR8GBuDyjoGePzzGJIJBK2APSeOJGPNYILGJqO6OCAPS40
 bfp01AfroGU0LFm6tCh7fvrxJ7YANC5ZUhSfwqF+gBLExqz46YdRLjAYiSAR
 iyMaKVRKTMNAWlVtARgKD45xIY6eEz2oCgQmpLXGBYgPRwsudLynSIAlbYpC
 vSd6i4+vpoWh/pA9LlTu92PeWfOgqSqWnrOsKEEd6ei0BaDh7IVjEq5AMh4H
 KEUo1F+6Fqqu9gu/T0ZtucDbu1eB5sbZ+bqFw4cLlpMl4NaVScyssgAAkVEJ
 rX/3QTMKSmDZHAPXLS+Ujl7+lwfvH3WCB5YAhIBCYOOlCTi6XgEMAx/3A9c+
 zUnJanQwZuD9zgTu3OMCZB8khw8brwRmVoygq19BV7+C9j4F97Z5MRrtQzW6
 0VjeiVsu7sLnUZpv0/ZeGfbsM1CNblSjGzd98xBqvKPgsgdC9oDJZdjxZhUO
 9QBOz8SU7qT08JDqxh1/yoCZSUhCxbbvdePys4fy38fSDqxta8KxSBkAYGl9
 Ao83t6PMWRCsf/6gHq3/mAsBQKYCD33/U/hEDEYmk33oJm7aDTz/vssegFtX
 mFByrUxdx8mEA3fu5mB6GpQItFx5BFcuChc2vapgbdtiHBnKQjTVjeKJ5sPw
 Oq18m7aDddj51pl5iCd+PIyAI54F0DRomoFn9svojnhKB5g/XcVtlzI4HQpM
 XYep6zgeUXDXi+VgnIASgS1XHMFVTYP534xkFKxra0J32AsAWBRM4onm9iKI
 vf8O4tE3sxAOkULrmjBml8dhaFrWWJxg1z7FHhf66flpPH29DJmrsAwDlmGg
 86SEltfn5yCAzauO4uqlBYhRTca6FxejcyBbRzo7mMSTq9vhcxUgXv4wiEfe
 OAvcTEIWSTzaHMKiQGxSEWzCe+C8ujS2X3UETqHC1HVYpom3uqbjvtcWwMpB
 bFp5FD9aVpAASU3GbXsXoaM/C7GwNoldqw+jfAzEXz6qxYa/zgPTU5BZEr/5
 wQmcWeediqoE0FAVxW+vaUeZlIaVOxfs667G5r81wmQEBMBdl32G5nML8Tup
 y1j/0mJ8EioHACyoSWHXmmKI3mEn7nl1bjY48BT23pDChfMnVtsaNw9sfmCb
 sEwLfr8f3/rORXkdZFkMvb0nbUlktbUBgAAupwOESPjn/veQSCSgKDIe3tpS
 2pGSWSYAgkQigcGh2NhqNdRMxhaAkdE0CCFIQIUQIq9yLWv8/8bHBaBUBsuV
 OqI5XZTVQsI2MUfGqE5RNLZUOoDInYn9/krMnTOnSMz1nwzZAhCsry9So6PD
 McRiMQjYoEYJISFA1MVicQwMFhIWYwyjqZQ9KzAwUDjQCFE4BxB6vCQAQkjd
 Naub32lYuPByZrFpHYc+zhUPRH65CUj2VQAi+1RUChJFrQAIUvgtyb4ZwOcQ
 uZtTtSSJSpHPurp2E0JmALCEEMOnFYUIIXUAZuHruY4LIcJf1uA/BmIJh/0J
 PW4AAAAASUVORK5CYII=

## qtwallet 1.0-9maemo1

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qtwallet
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Jul 12 22:52:46 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jul 14 16:42:19 2010
 # Project:  src.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile src.pro
@@ -179,7 +179,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/qtwallet1.0.0 || $(MKDIR) .tmp/qtwallet1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents DatabaseManager.h eWallet.h DetailedWindow.h camera.h LoginDialog.h .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents camera.cpp DatabaseManager.cpp eWallet.cpp main.cpp LoginDialog.cpp DetailedWindow.cpp .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources/locale/qtwallet_en.ts resources/locale/qtwallet_es.ts resources/locale/qtwallet_fr.ts resources/locale/qtwallet_nl.ts resources/locale/qtwallet_sv_SE.ts .tmp/qtwallet1.0.0/ && (cd `dirname .tmp/qtwallet1.0.0` && $(TAR) qtwallet1.0.0.tar qtwallet1.0.0 && $(COMPRESS) qtwallet1.0.0.tar) && $(MOVE) `dirname .tmp/qtwallet1.0.0`/qtwallet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtwallet1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents DatabaseManager.h eWallet.h DetailedWindow.h camera.h LoginDialog.h .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents camera.cpp DatabaseManager.cpp eWallet.cpp main.cpp LoginDialog.cpp DetailedWindow.cpp .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources/locale/qtwallet_en.ts resources/locale/qtwallet_es.ts resources/locale/qtwallet_fr.ts resources/locale/qtwallet_nl.ts resources/locale/qtwallet_sv_SE.ts resources/locale/qtwallet_fi.ts .tmp/qtwallet1.0.0/ && (cd `dirname .tmp/qtwallet1.0.0` && $(TAR) qtwallet1.0.0.tar qtwallet1.0.0 && $(COMPRESS) qtwallet1.0.0.tar) && $(MOVE) `dirname .tmp/qtwallet1.0.0`/qtwallet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtwallet1.0.0
 
 
 clean:compiler_clean 
@@ -239,6 +239,7 @@
 		resources/empty_ID_Card.png \
 		resources/empty_Membership_Info.png \
 		resources/empty_Others.png \
+		resources/locale/qtwallet_fi.qm \
 		resources/locale/qtwallet_en.qm \
 		resources/locale/qtwallet_es.qm \
 		resources/locale/qtwallet_sv_SE.qm \
@@ -277,5 +278,3 @@
 DatabaseManager.o: DatabaseManager.cpp Constants.h \
 		DatabaseManager.h \
 		eWallet.h \
-		DetailedWindow.h \
-		LoginDialog.h

=== debian/changelog ===
qtwallet (1.0-9maemo1) fremantle; urgency=low

  * Full Swedish and Finnish translation (thanks to aanckar)
  
 -- David <nowheremanmail@gmail.com>  Tue, 14 Jul 2010 16:45:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,14 @@
 XSBC-Original-Maintainer: David Galindo <nowheremanmail@gmail.com>
 Build-Depends: debhelper (>= 5), libqt4-core(>=4.6.2~git20100401-0maemo1+0m5), libqt4-dev(>=4.6.2~git20100401-0maemo1+0m5), 
  libqt4-sql(>=4.6.2~git20100401-0maemo1+0m5), openssl, libssl-dev, libqt4-translations(>=4.6.2~git20100401-0maemo1+0m5), 
- libgstreamer0.10-dev, libgtk2.0-dev, libgstreamer-plugins-base0.10-dev
+ libgstreamer0.10-dev, libgtk2.0-dev, libgstreamer-plugins-base0.10-dev 
 Standards-Version: 3.8.1
 #Homepage: <insert the upstream URL, if relevant>
 XSBC-Bugtracker: mailto:nowheremanmail@gmail.com
 #https://bugs.maemo.org/enter_bug.cgi?product=qtwallet
 XB-Maemo-Display-Name: Wallet
 XB-Maemo-Upgrade-Description: Wallet keeps your confidential information in a safe place.
- + Fixed problems with filenames when exporting images
- + Fixed problems with export filename 
- + Full Dutch translation (thanks to ThomasAH)
- + Full Swedish translation (thanks to aanckar)
- + Fix problem (of lost data) when changing password
- + Added save card button. 
+ + Full Swedish and Finnish translation (thanks to aanckar) 
   		 
 Package: qtwallet
 Section: user/utilities

## qtwallet 1.0-10maemo1

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qtwallet
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jul 14 16:42:19 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Jul 15 21:55:42 2010
 # Project:  src.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile src.pro
@@ -11,12 +11,12 @@
 CC            = gcc
 CXX           = g++
 DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -O2 -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
-CXXFLAGS      = -pipe -O2 -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
+CFLAGS        = -pipe -O2 -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -DMAEMO_CHANGES -I/usr/include/hildon-notify -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -Wall -W -D_REENTRANT $(DEFINES)
+CXXFLAGS      = -pipe -O2 -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -DMAEMO_CHANGES -I/usr/include/hildon-notify -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -Wall -W -D_REENTRANT $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtSql -I/targets/FREMANTLE_X86/usr/include/QtDBus -I/targets/FREMANTLE_X86/usr/include -I. -I.
 LINK          = g++
 LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
-LIBS          = $(SUBLIBS)  -L/usr/lib -lssl -lgstinterfaces-0.10 -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0 -lQtDBus -L/usr/lib -lQtXml -lQtSql -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
+LIBS          = $(SUBLIBS)  -L/usr/lib -lssl -lgstinterfaces-0.10 -pthread -lgstreamer-0.10 -lgthread-2.0 -lrt -lxml2 -lhildon-1 -lhildonnotify -lnotify -lgtk-x11-2.0 -ldbus-glib-1 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgmodule-2.0 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -L/usr/lib -lQtXml -lQtSql -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -43,17 +43,16 @@
 
 ####### Files
 
-SOURCES       = camera.cpp \
+SOURCES       = utils.cpp \
 		DatabaseManager.cpp \
 		eWallet.cpp \
 		main.cpp \
 		LoginDialog.cpp \
 		DetailedWindow.cpp moc_eWallet.cpp \
 		moc_DetailedWindow.cpp \
-		moc_camera.cpp \
 		moc_LoginDialog.cpp \
 		qrc_resources.cpp
-OBJECTS       = camera.o \
+OBJECTS       = utils.o \
 		DatabaseManager.o \
 		eWallet.o \
 		main.o \
@@ -61,7 +60,6 @@
 		DetailedWindow.o \
 		moc_eWallet.o \
 		moc_DetailedWindow.o \
-		moc_camera.o \
 		moc_LoginDialog.o \
 		qrc_resources.o
 DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
@@ -179,7 +177,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/qtwallet1.0.0 || $(MKDIR) .tmp/qtwallet1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents DatabaseManager.h eWallet.h DetailedWindow.h camera.h LoginDialog.h .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents camera.cpp DatabaseManager.cpp eWallet.cpp main.cpp LoginDialog.cpp DetailedWindow.cpp .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources/locale/qtwallet_en.ts resources/locale/qtwallet_es.ts resources/locale/qtwallet_fr.ts resources/locale/qtwallet_nl.ts resources/locale/qtwallet_sv_SE.ts resources/locale/qtwallet_fi.ts .tmp/qtwallet1.0.0/ && (cd `dirname .tmp/qtwallet1.0.0` && $(TAR) qtwallet1.0.0.tar qtwallet1.0.0 && $(COMPRESS) qtwallet1.0.0.tar) && $(MOVE) `dirname .tmp/qtwallet1.0.0`/qtwallet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtwallet1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents utils.h DatabaseManager.h eWallet.h DetailedWindow.h LoginDialog.h .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents utils.cpp DatabaseManager.cpp eWallet.cpp main.cpp LoginDialog.cpp DetailedWindow.cpp .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents translations/qtwallet_en.ts translations/qtwallet_es.ts translations/qtwallet_fr.ts translations/qtwallet_nl.ts translations/qtwallet_it.ts translations/qtwallet_sv_SE.ts translations/qtwallet_fi.ts .tmp/qtwallet1.0.0/ && (cd `dirname .tmp/qtwallet1.0.0` && $(TAR) qtwallet1.0.0.tar qtwallet1.0.0 && $(COMPRESS) qtwallet1.0.0.tar) && $(MOVE) `dirname .tmp/qtwallet1.0.0`/qtwallet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtwallet1.0.0
 
 
 clean:compiler_clean 
@@ -198,9 +196,9 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_eWallet.cpp moc_DetailedWindow.cpp moc_camera.cpp moc_LoginDialog.cpp
+compiler_moc_header_make_all: moc_eWallet.cpp moc_DetailedWindow.cpp moc_LoginDialog.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc_eWallet.cpp moc_DetailedWindow.cpp moc_camera.cpp moc_LoginDialog.cpp
+	-$(DEL_FILE) moc_eWallet.cpp moc_DetailedWindow.cpp moc_LoginDialog.cpp
 moc_eWallet.cpp: DatabaseManager.h \
 		DetailedWindow.h \
 		LoginDialog.h \
@@ -211,70 +209,9 @@
 		DetailedWindow.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) DetailedWindow.h -o moc_DetailedWindow.cpp
 
-moc_camera.cpp: camera.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) camera.h -o moc_camera.cpp
-
 moc_LoginDialog.cpp: LoginDialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) LoginDialog.h -o moc_LoginDialog.cpp
 
 compiler_dbus_interface_source_make_all:
 compiler_dbus_interface_source_clean:
 compiler_dbus_adaptor_source_make_all:
-compiler_dbus_adaptor_source_clean:
-compiler_rcc_make_all: qrc_resources.cpp
-compiler_rcc_clean:
-	-$(DEL_FILE) qrc_resources.cpp
-qrc_resources.cpp: resources.qrc \
-		resources/icon_next.png \
-		resources/empty_Cellular_Phone.png \
-		resources/icon_hide.png \
-		resources/icon_previous.png \
-		resources/empty_Bank_Account.png \
-		resources/icon_add_new.png \
-		resources/empty_card.png \
-		resources/icon_delete.png \
-		resources/empty_Credit_Card.png \
-		resources/icon_clear.png \
-		resources/empty_card_back.png \
-		resources/empty_ID_Card.png \
-		resources/empty_Membership_Info.png \
-		resources/empty_Others.png \
-		resources/locale/qtwallet_fi.qm \
-		resources/locale/qtwallet_en.qm \
-		resources/locale/qtwallet_es.qm \
-		resources/locale/qtwallet_sv_SE.qm \
-		resources/locale/qtwallet_nl.qm \
-		resources/locale/qtwallet_fr.qm
-	/usr/bin/rcc -name resources resources.qrc -o qrc_resources.cpp
-
-compiler_image_collection_make_all: qmake_image_collection.cpp
-compiler_image_collection_clean:
-	-$(DEL_FILE) qmake_image_collection.cpp
-compiler_moc_source_make_all:
-compiler_moc_source_clean:
-compiler_dbus_interface_header_make_all:
-compiler_dbus_interface_header_clean:
-compiler_dbus_interface_moc_make_all:
-compiler_dbus_interface_moc_clean:
-compiler_dbus_adaptor_header_make_all:
-compiler_dbus_adaptor_header_clean:
-compiler_dbus_adaptor_moc_make_all:
-compiler_dbus_adaptor_moc_clean:
-compiler_uic_make_all:
-compiler_uic_clean:
-compiler_yacc_decl_make_all:
-compiler_yacc_decl_clean:
-compiler_yacc_impl_make_all:
-compiler_yacc_impl_clean:
-compiler_lex_make_all:
-compiler_lex_clean:
-compiler_clean: compiler_moc_header_clean compiler_rcc_clean 
-
-####### Compile
-
-camera.o: camera.cpp camera.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o camera.o camera.cpp
-
-DatabaseManager.o: DatabaseManager.cpp Constants.h \
-		DatabaseManager.h \
-		eWallet.h \

=== debian/changelog ===
qtwallet (1.0-10maemo1) fremantle; urgency=low

  * Full Swedish and Finnish translation (thanks to aanckar)
  * Full Italian translation (thanks to Natan_xy)
  * Moved translations files to /usr/share/qtwallet/translations
  * Fixed scroll problem when editing a card
  * Hildon notifications 
  
 -- David <nowheremanmail@gmail.com>  Tue, 15 Jul 2010 18:25:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: David Galindo <nowheremanmail@gmail.com>
 Build-Depends: debhelper (>= 5), libqt4-core(>=4.6.2~git20100401-0maemo1+0m5), libqt4-dev(>=4.6.2~git20100401-0maemo1+0m5), 
  libqt4-sql(>=4.6.2~git20100401-0maemo1+0m5), openssl, libssl-dev, libqt4-translations(>=4.6.2~git20100401-0maemo1+0m5), 
- libgstreamer0.10-dev, libgtk2.0-dev, libgstreamer-plugins-base0.10-dev 
+ libgstreamer0.10-dev, libgtk2.0-dev, libgstreamer-plugins-base0.10-dev, libhildon1-dev, libhildonnotify-dev
 Standards-Version: 3.8.1
 #Homepage: <insert the upstream URL, if relevant>
 XSBC-Bugtracker: mailto:nowheremanmail@gmail.com
@@ -13,10 +13,14 @@
 XB-Maemo-Display-Name: Wallet
 XB-Maemo-Upgrade-Description: Wallet keeps your confidential information in a safe place.
  + Full Swedish and Finnish translation (thanks to aanckar) 
+ + Full Italian translation (thanks to Natan_xy)
+ + Moved translations files to /usr/share/qtwallet/translations
+ + Fixed scroll problem when editing a card
+ + Hildon notifications 
   		 
 Package: qtwallet
 Section: user/utilities
-Architecture: armel
+Architecture: armel i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Wallet keeps your confidential information in a safe place.
  + Discussion thread: <A href="http://talk.maemo.org/showthread.php?t=53745">http://talk.maemo.org/showthread.php?t=53745</A>

## qtwallet 1.0-11maemo1

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qtwallet
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Jul 15 21:55:42 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Jul 15 23:12:45 2010
 # Project:  src.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile src.pro
@@ -44,15 +44,18 @@
 ####### Files
 
 SOURCES       = utils.cpp \
+		camera.cpp \
 		DatabaseManager.cpp \
 		eWallet.cpp \
 		main.cpp \
 		LoginDialog.cpp \
 		DetailedWindow.cpp moc_eWallet.cpp \
 		moc_DetailedWindow.cpp \
+		moc_camera.cpp \
 		moc_LoginDialog.cpp \
 		qrc_resources.cpp
 OBJECTS       = utils.o \
+		camera.o \
 		DatabaseManager.o \
 		eWallet.o \
 		main.o \
@@ -60,6 +63,7 @@
 		DetailedWindow.o \
 		moc_eWallet.o \
 		moc_DetailedWindow.o \
+		moc_camera.o \
 		moc_LoginDialog.o \
 		qrc_resources.o
 DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
@@ -177,7 +181,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/qtwallet1.0.0 || $(MKDIR) .tmp/qtwallet1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents utils.h DatabaseManager.h eWallet.h DetailedWindow.h LoginDialog.h .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents utils.cpp DatabaseManager.cpp eWallet.cpp main.cpp LoginDialog.cpp DetailedWindow.cpp .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents translations/qtwallet_en.ts translations/qtwallet_es.ts translations/qtwallet_fr.ts translations/qtwallet_nl.ts translations/qtwallet_it.ts translations/qtwallet_sv_SE.ts translations/qtwallet_fi.ts .tmp/qtwallet1.0.0/ && (cd `dirname .tmp/qtwallet1.0.0` && $(TAR) qtwallet1.0.0.tar qtwallet1.0.0 && $(COMPRESS) qtwallet1.0.0.tar) && $(MOVE) `dirname .tmp/qtwallet1.0.0`/qtwallet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtwallet1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents utils.h DatabaseManager.h eWallet.h DetailedWindow.h camera.h LoginDialog.h .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents utils.cpp camera.cpp DatabaseManager.cpp eWallet.cpp main.cpp LoginDialog.cpp DetailedWindow.cpp .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents translations/qtwallet_en.ts translations/qtwallet_es.ts translations/qtwallet_fr.ts translations/qtwallet_nl.ts translations/qtwallet_it.ts translations/qtwallet_sv_SE.ts translations/qtwallet_fi.ts .tmp/qtwallet1.0.0/ && (cd `dirname .tmp/qtwallet1.0.0` && $(TAR) qtwallet1.0.0.tar qtwallet1.0.0 && $(COMPRESS) qtwallet1.0.0.tar) && $(MOVE) `dirname .tmp/qtwallet1.0.0`/qtwallet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtwallet1.0.0
 
 
 clean:compiler_clean 
@@ -196,9 +200,9 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_eWallet.cpp moc_DetailedWindow.cpp moc_LoginDialog.cpp
+compiler_moc_header_make_all: moc_eWallet.cpp moc_DetailedWindow.cpp moc_camera.cpp moc_LoginDialog.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc_eWallet.cpp moc_DetailedWindow.cpp moc_LoginDialog.cpp
+	-$(DEL_FILE) moc_eWallet.cpp moc_DetailedWindow.cpp moc_camera.cpp moc_LoginDialog.cpp
 moc_eWallet.cpp: DatabaseManager.h \
 		DetailedWindow.h \
 		LoginDialog.h \
@@ -209,9 +213,7 @@
 		DetailedWindow.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) DetailedWindow.h -o moc_DetailedWindow.cpp
 
+moc_camera.cpp: camera.h
+	/usr/bin/moc $(DEFINES) $(INCPATH) camera.h -o moc_camera.cpp
+
 moc_LoginDialog.cpp: LoginDialog.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) LoginDialog.h -o moc_LoginDialog.cpp
-
-compiler_dbus_interface_source_make_all:
-compiler_dbus_interface_source_clean:
-compiler_dbus_adaptor_source_make_all:

=== debian/changelog ===
qtwallet (1.0-11maemo1) fremantle; urgency=low

  * Fixed all titles to Wallet
  * When editing a card, focus to first field
  * Fixed save problem after modify field 
  
 -- David Galindo <nowheremanmail@gmail.com>  Tue, 16 Jul 2010 08:25:00 +0100

=== debian/control ===
--- 
+++ 
@@ -12,20 +12,18 @@
 #https://bugs.maemo.org/enter_bug.cgi?product=qtwallet
 XB-Maemo-Display-Name: Wallet
 XB-Maemo-Upgrade-Description: Wallet keeps your confidential information in a safe place.
- + Full Swedish and Finnish translation (thanks to aanckar) 
- + Full Italian translation (thanks to Natan_xy)
- + Moved translations files to /usr/share/qtwallet/translations
- + Fixed scroll problem when editing a card
- + Hildon notifications 
+ + Fixed all titles to Wallet
+ + When editing a card, focus to first field
+ + Fixed save problem after modify field 
   		 
 Package: qtwallet
 Section: user/utilities
-Architecture: armel i386
+Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Wallet keeps your confidential information in a safe place.
  + Discussion thread: <A href="http://talk.maemo.org/showthread.php?t=53745">http://talk.maemo.org/showthread.php?t=53745</A>
  + Package: <A href="http://maemo.org/packages/view/qtwallet/">http://maemo.org/packages/view/qtwallet/</A>
- + Donations are welcome: <A href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=2AWCFUTKGBQUE&lc=ES&item_name=Wallet&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHosted">DONATE</A>
+ + Donations are welcome: <A href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=2AWCFUTKGBQUE&lc=ES&item_name=qtWallet&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHosted">DONATE</A>
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAKT2lDQ1BQaG90
  b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNnVFPpFj333vRCS4iAlEtvUhUIIFJC

## qtwallet 1.0-12maemo1

=== debian/changelog ===
qtwallet (1.0-12maemo1) fremantle; urgency=low

  * Fixed Italian translations (thanks to Natan_xy)
  * Wallet executable has been moved outside /usr to safe space. 
  * Removed Yes/No question after unlock application when application went to sleep 
  * About window show version
  * Support for alpha phone numbers
  
 -- David Galindo <nowheremanmail@gmail.com>  Tue, 20 Jul 2010 20:25:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,19 @@
 XSBC-Original-Maintainer: David Galindo <nowheremanmail@gmail.com>
 Build-Depends: debhelper (>= 5), libqt4-core(>=4.6.2~git20100401-0maemo1+0m5), libqt4-dev(>=4.6.2~git20100401-0maemo1+0m5), 
  libqt4-sql(>=4.6.2~git20100401-0maemo1+0m5), openssl, libssl-dev, libqt4-translations(>=4.6.2~git20100401-0maemo1+0m5), 
- libgstreamer0.10-dev, libgtk2.0-dev, libgstreamer-plugins-base0.10-dev, libhildon1-dev, libhildonnotify-dev
+ libgstreamer0.10-dev, libgtk2.0-dev, libgstreamer-plugins-base0.10-dev, libhildon1-dev, libhildonnotify-dev, maemo-optify
 Standards-Version: 3.8.1
 #Homepage: <insert the upstream URL, if relevant>
 XSBC-Bugtracker: mailto:nowheremanmail@gmail.com
 #https://bugs.maemo.org/enter_bug.cgi?product=qtwallet
 XB-Maemo-Display-Name: Wallet
 XB-Maemo-Upgrade-Description: Wallet keeps your confidential information in a safe place.
- + Fixed all titles to Wallet
- + When editing a card, focus to first field
- + Fixed save problem after modify field 
-  		 
+ + Fixed Italian translations (thanks to Natan_xy)
+ + Wallet executable has been moved outside /usr to safe space.
+ + Removed Yes/No question after unlock application when application went to sleep 
+ + About window show version
+ + Support for alpha phone numbers
+    		 
 Package: qtwallet
 Section: user/utilities
 Architecture: armel

## qtwallet 1.0-13maemo1

=== debian/changelog ===
qtwallet (1.0-13maemo1) fremantle; urgency=low

  * Added info message when open Wallet
  * Added info message when clicking on field label.
  * Make phone call when clicking on a phone field.
  
 -- David Galindo <nowheremanmail@gmail.com>  Tue, 2 Aug 2010 20:25:00 +0100

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,9 @@
 #https://bugs.maemo.org/enter_bug.cgi?product=qtwallet
 XB-Maemo-Display-Name: Wallet
 XB-Maemo-Upgrade-Description: Wallet keeps your confidential information in a safe place.
- + Fixed Italian translations (thanks to Natan_xy)
- + Wallet executable has been moved outside /usr to safe space.
- + Removed Yes/No question after unlock application when application went to sleep 
- + About window show version
- + Support for alpha phone numbers
+ + Added info message when open Wallet
+ + Added info message when clicking on field label.
+ + Make phone call when clicking on a phone field.
     		 
 Package: qtwallet
 Section: user/utilities
